diff --git a/CHANGELOG.txt b/CHANGELOG.txt
index 9773e11..25c4d01 100644
--- a/CHANGELOG.txt
+++ b/CHANGELOG.txt
@@ -1,3 +1,8 @@
+Scanner 8.x
+-----------
+True to it's purpose, I replaced "Search and Replace Scanner" with
+just "Scanner". This way it takes up less space on my menus.
+
 Search and Replace Scanner 8.x-1.0-rc7, 2023-05-17
 --------------------------------------------------
 #3265313 by zoiosilva, ronaldmulero, andrei.vesterli, DamienMcKenna: "$this"
diff --git a/README.md b/README.md
index 490749a..e8d7a63 100644
--- a/README.md
+++ b/README.md
@@ -1,6 +1,6 @@
 # Search & Replace Scanner
 
-The Search and Replace Scanner can do regular expression matches against a
+Scanner can do regular expression matches against a
 configurable list of text fields. This is useful for finding HTML strings that
 Drupal's normal search will ignore. It is then possible to replace the matched
 text. This can be useful, for example, to change the name of a company or if
@@ -86,12 +86,12 @@ for further details.
 
 ## Configuration
 
-The Scanner admin settings may be managed in two ways:
+Scanner admin settings may be managed in two ways:
 
 - Go to "Administration" -> "Configuration" -> "Content authoring" ->
-  "Search and Replace Scanner".
+  "Scanner".
 
-- Go to "Administration" -> "Content" -> "Search and Replace Scanner" and
+- Go to "Administration" -> "Content" -> "Scanner" and
   select the "Settings" tab.
 
 A. Regex word boundary
@@ -140,7 +140,7 @@ Replace on the Body field of the Basic Page content type, select [page: body].
 
 ## Troubleshooting
 
-* A user can only have one instance of Search and Replace Scanner running at a
+* A user can only have one instance of Scanner running at a
   time. Attempting to open Scanner in two separate windows to perform
   replacements at the same time can lead to unknown errors if a timeout is
   encountered.
diff --git a/scanner.info.yml b/scanner.info.yml
index 3db2da9..0887a0a 100644
--- a/scanner.info.yml
+++ b/scanner.info.yml
@@ -1,4 +1,4 @@
-name: Search and Replace Scanner
+name: Scanner
 type: module
 description: Perform search and replace on chosen text fields.
 core_version_requirement: '^9 | ^10'
diff --git a/scanner.links.menu.yml b/scanner.links.menu.yml
index 67da657..6f7a0cd 100644
--- a/scanner.links.menu.yml
+++ b/scanner.links.menu.yml
@@ -1,10 +1,10 @@
 scanner.admin:
-  title: Search and Replace Scanner
+  title: Scanner
   route_name: scanner.admin_content
   parent: system.admin_content
   description: 'Perform search and replace on chosen text fields.'
 scanner.admin_config:
-  title: Search and Replace Scanner
+  title: Scanner
   parent: system.admin_config_content
   description: 'Configure defaults and what fields can be searched and replaced.'
   route_name: scanner.admin_config
diff --git a/scanner.links.task.yml b/scanner.links.task.yml
index d29930e..1c06c1f 100644
--- a/scanner.links.task.yml
+++ b/scanner.links.task.yml
@@ -1,5 +1,5 @@
 scanner.admin_content:
-  title: 'Search and Replace Scanner'
+  title: 'Scanner'
   route_name: scanner.admin_content
   base_route: system.admin_content
 scanner.admin:
diff --git a/scanner.post_update.php b/scanner.post_update.php
index d95c846..8ebe0e5 100644
--- a/scanner.post_update.php
+++ b/scanner.post_update.php
@@ -2,7 +2,7 @@
 
 /**
  * @file
- * Post-update functions for the Search and Replace Scanner module.
+ * Post-update functions for the Scanner module.
  */
 
 /**
diff --git a/scanner.routing.yml b/scanner.routing.yml
index 35fa594..570c620 100644
--- a/scanner.routing.yml
+++ b/scanner.routing.yml
@@ -1,21 +1,21 @@
 scanner.admin_content:
   path: 'admin/content/scanner'
   defaults:
-    _title: 'Search and Replace Scanner'
+    _title: 'Scanner'
     _form: '\Drupal\scanner\Form\ScannerForm'
   requirements:
     _permission: 'perform search only'
 scanner.admin_config:
   path: 'admin/config/content/scanner'
   defaults:
-    _title: 'Search and Replace Scanner'
+    _title: 'Scanner'
     _form: '\Drupal\scanner\Form\ScannerAdminForm'
   requirements:
     _permission: 'administer scanner settings'
 scanner.admin_confirm:
   path: 'admin/content/scanner/confirm'
   defaults:
-    _title: 'Search and Replace Scanner'
+    _title: 'Scanner'
     _form: '\Drupal\scanner\Form\ScannerConfirmForm'
   requirements:
     _permission: 'perform search and replace'
